Last Comment Bug 314235 - l10n CVS account request: kurdish(ku) - Ceng KarakuÅ&#65533; <cengkarakus@hotmail.com>
: l10n CVS account request: kurdish(ku) - Ceng KarakuÅ&#65533; <cengkarakus@hot...
Status: RESOLVED FIXED
ssh-key,voucher,form
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Dave Miller [:justdave] (justdave@bugzilla.org)
: Dave Miller [:justdave] (justdave@bugzilla.org)
Mentors:
: 314236 (view as bug list)
Depends on:
Blocks: 313162
  Show dependency treegraph
 
Reported: 2005-10-28 12:00 PDT by ceng karakuş
Modified: 2006-03-16 04:36 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
SSH_public_key (680 bytes, text/plain)
2005-10-29 05:54 PDT, ceng karakuş
no flags Details
SSH_public_key (680 bytes, text/plain)
2005-10-29 05:55 PDT, ceng karakuş
no flags Details
Source for the Kurdish locale (162.43 KB, application/octet-stream)
2006-01-08 07:30 PST, Erdal Ronahi
no flags Details
Corrected version of the Kurdish translation (160.31 KB, application/zip)
2006-01-13 03:48 PST, Erdal Ronahi
no flags Details
output of compare-locales.pl (29.29 KB, text/plain)
2006-01-13 09:41 PST, Axel Hecht [:Pike]
no flags Details
Kurdish translation, corrected according to the remarks of Axel Hecht (231.62 KB, application/x-zip-compressed)
2006-01-29 04:39 PST, Erdal Ronahi
l10n: approval‑l10n+
Details
Latest translations, now 99% (171.59 KB, application/zip)
2006-02-22 06:06 PST, Erdal Ronahi
no flags Details
ssh-key Erdal Ronahi (223 bytes, text/plain)
2006-03-14 15:29 PST, Erdal Ronahi
no flags Details

Description ceng karakuş 2005-10-28 12:00:22 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915

this bug will use from the Kurdish localization.

Reproducible: Always
Comment 1 Daniel Veditz [:dveditz] 2005-10-28 12:13:24 PDT
hiding it security-sensitive keeps the CVS folks from seeing the request.
Comment 2 Erdal Ronahi 2005-10-28 12:36:03 PDT
(In reply to comment #1)
> hiding it security-sensitive keeps the CVS folks from seeing the request.
> 

We didn't understand your comment. Why will they not see it?
Comment 3 Daniel Veditz [:dveditz] 2005-10-28 13:13:57 PDT
*** Bug 314236 has been marked as a duplicate of this bug. ***
Comment 4 ceng karakuş 2005-10-29 05:54:33 PDT
Created attachment 201251 [details]
SSH_public_key
Comment 5 ceng karakuş 2005-10-29 05:55:00 PDT
Created attachment 201252 [details]
SSH_public_key
Comment 6 Marcia Knous [:marcia - use ni] 2005-11-10 14:40:42 PST
Need to get the CVS form and for someone to vouch. CVS form located at mozilla.org/hacking/form.html
Comment 7 ceng karakuş 2005-11-29 07:59:28 PST
Ok. I sent you the fax and the original via mail
Comment 8 Erdal Ronahi 2005-12-20 12:30:43 PST
Hi, 

almost a month has passed and we have no answer yet, let alone CVS access. Probably the request got lost somewhere. So here's the reminder: Ceng has faxed the document and sent the original by mail. If nothing else is missing the Kurdish team would be happy to get CVS access.

Regards,
Erdal
Comment 9 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-12-20 12:34:33 PST
I have not seen any attachments of localized files to this bug... CVS accounts are not granted until a source localization is prepared and almost ready for checkin.
Comment 10 Erdal Ronahi 2005-12-31 08:38:37 PST
We have a working xpi-file, which is not fully localized, though. You can find it under http://www.ferheng.org/ku.xpi

We can attach all the files one by one here also, how would you like it?
Comment 11 Axel Hecht [:Pike] 2005-12-31 09:07:32 PST
We need a zip of the source, neither individual files nor the xpi.
The structure of the zip needs to match those of the other locales.
Comment 12 Erdal Ronahi 2005-12-31 09:24:38 PST
I guess you mean the files that are found in the "mozilla firefox/chrome" directory and are named for instance "en-US.jar" or "de.jar" for the german translation? Is that correct?
Comment 13 Pavel Franc - Mozilla.cz 2005-12-31 09:53:28 PST
> directory and are named for instance "en-US.jar" or "de.jar" for the german
> translation? Is that correct?

No. Source localization means the structure of files ready to commit into CVS. Use the annonymous CVS access to download other locales as an example or the web interface at http://lxr.mozilla.org/l10n-mozilla1.8/source/ to browse the repository.

Please see http://wiki.mozilla.org/Firefox:1.5_Localization for more information.

Comment 14 Erdal Ronahi 2006-01-08 07:30:57 PST
Created attachment 207901 [details]
Source for the Kurdish locale

This is our first try: the source code for the Kurdish locale.

The directory structure is now according to the source code in the CVS. Not all files are fully translated, especially the help is missing. But these files should be ok. 

Could you please tell us how to proceed now?
Comment 15 Erdal Ronahi 2006-01-13 03:48:51 PST
Created attachment 208367 [details]
Corrected version of the Kurdish translation

Corrected two minor errors found by Abdulkadir Topal
Comment 16 Axel Hecht [:Pike] 2006-01-13 09:38:23 PST
Comment on attachment 208367 [details]
Corrected version of the Kurdish translation

This ain't good enough just yet.

I'll attach a report of compare-locales.pl to show the differences against MOZILLA_1_8_BRANCH.
Comment 17 Axel Hecht [:Pike] 2006-01-13 09:41:30 PST
Created attachment 208389 [details]
output of compare-locales.pl

This shows missing files and entities, and lots of them.

the lines showing 
no comparison for ./... 
can be ignored, those are just warning of the tool.
Comment 18 Marcia Knous [:marcia - use ni] 2006-01-19 13:39:35 PST
Form received.
Comment 19 Erdal Ronahi 2006-01-29 04:39:55 PST
Created attachment 210034 [details]
Kurdish translation, corrected according to the remarks of Axel Hecht

Kurdish translation, corrected according to the remarks of Axel Hecht
Comment 20 Axel Hecht [:Pike] 2006-02-20 08:37:59 PST
I'm vouching for this. Marcia, AFAICT, this can head over to cvs admin.

Ceng, Erdal, I did the initial commit on the trunk, please check out
l10n/ku from the cvs repository before proceeding. This way, we have line endings
and binaries right etc.

Before proceeding further, would you please localize the installer stuff on the
trunk, I filed bug 327922 on this. I will then branch the tree for fx2 and 1.5.0.x
development and hook up the build infrastructure.
Comment 21 Erdal Ronahi 2006-02-21 11:23:00 PST
> Before proceeding further, would you please localize the installer stuff on the
> trunk, I filed bug 327922 on this. I will then branch the tree for fx2 and
> 1.5.0.x development and hook up the build infrastructure.

Uh, bad timing. The remaing 40% are just finished, I think Ceng will send the files today. So we already HAVE proceeded further.

Oh, and could someone please correct Ceng's name in the summary? It's Karaku&#351;, meaning "Blackbird".
Comment 22 Marcia Knous [:marcia - use ni] 2006-02-21 11:32:32 PST
This one is ready to go - over to server-ops for account creation/SSH key.
Comment 23 Erdal Ronahi 2006-02-22 06:04:55 PST
Latest translations, should be 100% finished now. Installer is missing, though.
Comment 24 Erdal Ronahi 2006-02-22 06:06:35 PST
Created attachment 212740 [details]
Latest translations, now 99%
Comment 25 Dave Miller [:justdave] (justdave@bugzilla.org) 2006-02-23 15:39:18 PST
(In reply to comment #2)
> (In reply to comment #1)
> > hiding it security-sensitive keeps the CVS folks from seeing the request.
> 
> We didn't understand your comment. Why will they not see it?

Because the people who handle the CVS stuff aren't members of the security group (that's for browser security bugs, not administrative stuff).  The bug was originally filed with the security flag set.

(In reply to comment #21)
> Oh, and could someone please correct Ceng's name in the summary? It's
> Karaku&#351;, meaning "Blackbird".

It probably is, depending on which character set your browser views it in.  Bugzilla currently doesn't have any concept of character sets and will tend to screw it up if you mix up character sets on the same bug.  I hope to fix this some day (we really badly need full UTF-8 support -- Bugzilla can do it, but we can't turn it on here without converting a bunch of old data first, or finding ways to work around that, but that's another bug with a LOT of discussion on it).
Comment 26 Dave Miller [:justdave] (justdave@bugzilla.org) 2006-02-23 15:40:40 PST
Your CVS account has been created.  Your CVSROOT should be:

   cengkarakus%hotmail.com@cvs.mozilla.org:/l10n

Don't forget to set your CVS_RSH environment variable to 'ssh'.

If you have any problems connecting, let me know.
Comment 27 Axel Hecht [:Pike] 2006-02-25 12:14:05 PST
(In reply to comment #24)
> Created an attachment (id=212740) [edit]
> Latest translations, now 99%

Please land this yourself and then poke me to branch your localization for the
upcoming releases.
Comment 28 ceng karakuş 2006-02-26 13:44:52 PST
thank you for ssh key. i am using windows xp and tortoise cvs.
But i dont know to send kurdish translations to mozilla/l10n.
what will i do? 
Comment 29 ceng karakuş 2006-02-26 16:47:23 PST
excuse me. thank you for the CVS account 
Comment 30 Erdal Ronahi 2006-03-10 17:30:32 PST
Hi again,

we didn't manage to login to the CVS via ssh. Is the access really granted? The CVS said something like "intentionally refused - write to cvs-admin (which we do).
Comment 31 Erdal Ronahi 2006-03-14 15:29:05 PST
Created attachment 215075 [details]
ssh-key Erdal Ronahi

Thanks to cedric.corazza@wanadoo.fr all translation including the missing ones from bug#327922 are now committed to branch MOZILLA_1.8.0 .

The issue with our CVS access is not resolved. The server definitely refuses to let us connect using TortoiseCVS on Windows with Ceng's ssh key.

I would like to give it a try under Linux, too. Can I also get CVS access as a peer? My ssh key is attached.
Comment 32 Martin Creutziger [:MMx] 2006-03-15 23:02:13 PST
Erdal, better file your own bug as this makes things easier to track later on.
And on the new bug, you should have Ceng state that you are indeed his peer. Additionally, you need to send in the form like everybody has to. So its pretty much the whole procedure you have to run through as well.

Regarding your TortoiseCVS-Problem: Maybe someone CCed here knows what might be wrong. Abdulkadir e.g. uses it IIRC. Maybe you can get in touch via email with someone or meet on IRC.
Comment 33 Erdal Ronahi 2006-03-16 04:36:36 PST
The ssh issue has been resolved on the IRC with the help of Pike and Gandalf as far as I can see. I am requesting Ceng to confirm that he also sees the issue as resolved.

Note You need to log in before you can comment on or make changes to this bug.